Subject: RE: [Megaco] Duplicate package item IDs

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 8 Oct 2001 08:57:25 -0400

There is no problem with having the same ID for an event, signal
property or statistic.  They are unique name spaces.  This applies
to binary and text.

Brian

> -----Original Message-----
> From: Nigel Williams [mailto:[email-masked]]
> Sent: Monday, October 08, 2001 4:46 AM
> To: [email-masked]'
> Subject: [Megaco] Duplicate package item IDs
> 
> 
> Hi there,
> 
> We have been looking at some package definitions recently and have
> encountered an interesting issue.
> 
> We have noticed that some packages use the same text and/or 
> binary ID for an
> Event as for a Signal (or Property) in the same package.
> 
> For example, in the Basic CAS Package
> (draft-manyfolks-megaco-caspackage-01.txt, September 2001), 
> "sz (0x0001)" is
> used as the ID for the Seizure signal as well as the Seizure event.
> 
> However, RFC3015 states in Section 12.1
> 
> "Names of all such defined constructs shall consist of the 
> PackageID (which
> uniquely identifies the package) and the ID of the item 
> (which uniquely
> identifies the item in that package)."
> 
> Does this mean that an item is identified uniquely by the 
> combination of
> 
> - the descriptor the item is present in (a Signals descriptor or an
> Events/EventBuffer/ObservedEvents descriptor)
> 
> - the item's ID.
> 
> Or should each item (Property/Event/Signal/Statistic) have a 
> distinct ID?
> 
> We have also noticed that this issue is more common with 
> binary IDs.  For
> example, in the Annex F Fax package the "Fax connection 
> state" property has
> the same binary ID as the "Fax Connection State Change" event 
> but they have
> distinct text IDs.
> 
> Any comments would be gratefully received.
> 
> Regards
> Nigel
> 
> -------
> Nigel Williams
> DC-MGCP/DC-Megaco Development Manager
> Voice Networking Group
> Data Connection Ltd
> Tel: +44 20 8366 1177
> Fax: +44 20 8363 1468
> Email: [email-masked]
> Web: http://www.dataconnection.com
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/megaco
> 

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

---

From: Troy Cauble <[email-masked]>
Date: Mon, 08 Oct 2001 15:30:42 -0400

EXCEPT for packages that extend another packages.

"extension_pkg/base_element" is a valid form, so
signals, events, properties and statistics of an extension
package should avoid text and binary id's of the base package.

Also,
"either_pkg/base_element { base_param=extension_value }" 
is a legal form.  So for the cases where extension packages
define VALUES to base parameters, the extension package must
avoid text and binary VALUES of the base package AND OTHER
SIBLING PACKAGES.

-troy